;09/04/02 RQ modified HHLTO to N25G
;08/19/02 RQ modified SDLT to v42
;07/10/02 RQ modified M2 to v07g
;07/10/02 RQ modified DDS/4LC to 9070
;06/07/02 RQ modified SDLT to use 8k
;05/14/02 RQ modified for DLT7000 to v106
;05/10/02 RQ modified for 3502L to v38
;05/10/02 RQ modified for 3502A to v38
;05/10/02 RQ modified for DLTVS to v50(5032)
;05/10/02 RQ modified for LTO to 22UD
;05/10/02 RQ modified for TR7 to 309a
;05/10/02 RQ modified for DDS/4 LC to 9030
;05/10/02 RQ modified for 3600L to v40
;04/08/02 RQ modified for TR7
;03/05/02 RQ modified for SDLT version control
;02/25/02 RQ modified for DDS/4 LC
;01/30/02 RQ modified DLT8000 to v80
;01/30/02 RQ modified SuperDLT syntax error
;01/25/02 BJ modify DLT4000 to use UpdateAlgorithm="quantum_dlt_8k"
;01/25/02 BJ add UpdateFlags = "c" to [IBM_Ultrium-TD1_SCSI]
;01/07/02 RQ re-added 3600 support
;11/19/01 RQ modified for 3580 support
;11/12/01 RQ removed 3600 support
;10/22/01 RQ modified DDS/4 to 8200
;10/11/01 RQ modified 3600-109 to 232I
;10/11/01 RQ modified Mammoth 2 to v03s
;10/10/01 RQ modified NS20 to 7a64
;10/08/01 RQ modified DLT8000 to v60
;08/22/01 BJ 3502-R14, 3600-220 Library fixes
;07/24/01 RQ modified DLT8000 firmware to v60
;07/13/01 RQ modified LTO firmware to 16E0
;07/10/01 RQ modified to allow HP c7145
;07/08/01 RQ modified to allow HP c7200
;07/01/01 RQ modified Benchmark DLT1 to work.
;06/29/01 RQ modified DLT7000 and sleds to use D7_V105.img
;06/18/01 RQ modified Mammoth 2 to v03s.
;06/18/01 RQ modified DLTVS to V31.
;06/18/01 RQ modified DDS/4 and DDS/4 Autoloader to 8180.
;04/25/01 RQ modified Mammoth 1 and DDS/2 tape unit SCSI inquiries.
;02/13/01 BJ modifications as discussed with RQ.
;  - Make filenames explicit. 
;  - Use identical firmware file for [Seagate_Hornet-8_SCSI] 
;    and [IBM_Hornet-8_SCSI].
;  - Remove extraneous comments.
;
; Comment lines begin with a semicolon (;).  Example:
;
;    ; this is a comment line
;
; Section lines mark the beginning of a group of parameters and are 
; enclosed in brackets ([]).  For example, the following marks the 
; start of the Tapedrv global initialization section:
;
;    [tapedrv]
;
; Parameter lines are of the form parameter=value.  By way of 
; example, the following parameter shows where a firmware file
; may be found:
;
;    AutoFileName = seagate\v8???000.bin <----remove subdirectory!!!
;
; Section and parameter names are case insensitive.
;
;
; Parameter Values
; ----------------
; Parameter values in the .ini are generally treated as lists of 
; comma separated strings. For example
;    string1,"string2" , string3 
;
; For most parameters, only the the first string in a list is 
; significant.  Thus for these parameters, strings beyond 
; the first are ignored.
;
; Each string in a list, may be an unquoted string, a quoted or a 
; combination.  For unquoted strings, leading and trailing white 
; space is stripped.  Unquoted and quoted strings, between commas, 
; are concatenated.  For example 
;    " a " b  c "d " e
; is the same as the single string 
;    " a b  cd e"
;
; In order for a string to contain a literal comma (one that is not 
; a string list separator), the comma must either appear between 
; matching double quotes ("xx,yy") , or be escaped using a caret 
; (xx^,yy).  A literal double quote is represented using a caret (^").  
; A double caret (^^) represents a literal caret.
;    a b^, c
;
; For example, the input string text string
;    "a", b, " c,d" e "fg",, "z
;
;
; ASCII Patterns
; --------------
; String values for InquiryStd and AutoFileName are patterns.  
; Patterns are matched with actual strings returned by the SCSI 
; Inquiry command or by system file directory services.
;
; A pattern is an ASCII string which may contain the control 
; characters:
;     * ? [ { ^
; A pattern containing control characters may be capable of 
; matching more than one actual string. 
;
; The character "*" matches any string of characters, including 
; the null string.  The character "?" matches any single 
; character.  Character sequences within square brackets ([ and ]) 
; matches any of the characters enclosed.  Within square brackets, 
; a pair of characters separated by a "-" additionally matches 
; any of the characters lexically between the two.  As special 
; cases, within a string a "[]" as well as a closing "]" without 
; a matching opening "[" is matched literally.  Square brackets 
; have higher precedence than braces ({ and }).
;
; The notation a*?[bd-x]z says match a string beginning with 'a', 
; followed by zero or more undefined characters, and ending with 
; three characters, the first being any single character, 
; the second being either b, or d through x, and the final being z.
;
; The notation "a{b,c{,d}f}" is shorthand for "ab", "acf", or "acdf".
; As special cases, within a string a "{}" as well as a closing 
; "}" without a matching opening "{" is matched literally.  Also 
; a "{", at the end of a pattern, is matched literally. 
;
; When matching filenames the directory separator "/" is a 
; synonym for "\".  Drive letters, colons, and directory 
; separators are matched explicitly.  Also ".", at the beginning 
; of a filename, is matched explicitly.
;
; The character "^" (caret) is the pattern escape character and 
; causes the character following to be taken literally rather 
; than as a pattern control.  To specify a single caret (^) 
; literal, a double caret (^^) must be given.  For example "^?" 
; says match "?" literally.
;

;[tapedrv] Section
; The [tapedrv] section contains global initializations for 
; Tapedrv.exe.
;
; magic=<magic number> is used for file format verification.
;
; ide_search_length=<number of ide channels to search>
;    This parameter controls the number of IDE adapters to search 
;    starting with ide0_*.
;    When ide_search_length=2, ide0_* (the Primary IDE adapter) is 
;    searched first, ide1_* (the Secondary IDE adapter) is searched 
;    second, and ide2_* and ide3_ are ignored.
;
; ide[0-3]_port=<base ide io port>
;
; ide[0-3]_irq=<ide interrupt request number>
;
; devices<NN>=<Device_Section>
;    device<NN> parameters, where <NN> is 00 through 99, lists 
;    the names of each [<Device_Section>] that follows.  Any device 
;    section names not present within this list are ignored.
;
[tapedrv]
magic = 0x5400
ide_search_length = 2
ide0_port = 0x1f0
ide0_irq  = 14
ide1_port = 0x170
ide1_irq  = 15
ide2_port = 0x1e8
ide2_irq  = 11
ide3_port = 0x168
ide3_irq  = 10

devices00 = Quantum_L200_DLT7000
devices01 = Quantum_L500_DLT7000
devices02 = Benchmark_DLT1
devices03 = Exabyte_Mammoth-1
devices04 = Exabyte_Mammoth-2
devices05 = HP_Ultrium-1_SCSI_Half_High
devices06 = 3600_Autoloader
devices07 = 3600_Library
devices08 = IBM_Ultrium-TD1_SCSI
devices09 = Seagate_Bali-2A_ATAPI
devices10 = Seagate_Hornet-8_ATAPI
devices11 = Seagate_Hornet-20_ATAPI
devices12 = Seagate_Falcon-2
devices13 = Seagate_Hornet-8_SCSI
devices14 = IBM_Hornet-8_SCSI
devices15 = Seagate_Hornet-NS20
devices16 = Seagate_Peregrine-DDS2
devices17 = Seagate_Scorpion-4-8_256K
devices18 = Seagate_Scorpion-4-8_512K
devices19 = IBM_Scorpion-4-8_512K
devices20 = Seagate_Scorpion-24
devices21 = Seagate_Scorpion-40
devices22 = Seagate_Scorpion-240
devices23 = Quantum_DLT4000
devices24 = Quantum_DLT7000
devices25 = Quantum_DLT7000_OML
devices26 = Quantum_DLT8000
devices27 = Quantum_SuperDLT_SCSI
devices28 = IBM_3580_Ultruim-1
devices29 = ATL_L200_DLT7000
devices30 = ATL_L500_DLT7000
devices31 = Seagate_SP40
devices32 = Seagate_TR7
devices33 = IBM_3447
devices34 = Quantum_DLT7000_3447
devices35 = Quantum_DLT7000_3447_2


;[autoupdate] Section
; [autoupdate] has parameters used by the autoupdate command:
;
; UpdateDelay = <seconds>
;    <seconds> gives the delay before the initial device update 
;    if any.
;
; FinalDelay = <seconds>
;    <seconds> gives the delay before the exiting after the final 
;    status display.
;
[autoupdate]
UpdateDelay = 25
FinalDelay  = 10
;[<Device_Section>] Sections
; Each supported tape device has its own [<Device_Section>]
; In order to be used, a given [<Device_Section>] must be mentioned 
; in a devices<NN> entry in the [tapedrv] section.
;
; A [<Device_Section>] has the following parameters:
;
; Description = "<device description>"
;    Description is optional.  It has information that is printed 
;    by the 'scan' command when a tape device is recognized.  
;
;    Example:
;       Description = "IBM Hornet-8 SCSI TR-4"
;
; InquiryStd = "<peripheral type>:<inquiry string>"
;    InquiryStd gives a string used to detect the make and 
;    model of the device associated with the device section.  
;    It consists of two strings separated by a ":".
;
;    <peripheral type> has a string indicating which peripheral 
;        device type to match.  The peripheral device type is a 
;        5-bit binary field at Inquiry data byte 0, bits 4..0.
;        Recognized ASCII values and binary mappings for <peripheral 
;        type> are:
;           ASCII        Binary
;           -----        ------
;           Tape         1
;           Changer      8
;
;    <inquiry string> is an ASCII Pattern string that is compared 
;       against the ASCII field of standard Inquiry data returned
;       by the device.  Where the ASCII field is 28 character 
;       contiguous field beginning at byte 8 and includes the 
;       Vendor Identification, Product Identification, and Product 
;       Revision Level fields. <inquiry strings> are case sensitive.  
;       See ASCII Patterns.
;
;    Examples:
;       InquiryStd =    "Tape:CONNER  CTT8000-S       3???"
;       InquiryStd = "Changer:HP      C7145           ????"
;       InquiryStd = "Tape:{SEAGATE DAT   ,ARCHIVE Python} 04106-XXX[73]???"
;
; InquiryStdHex = "<byte offset>:<hex pattern>"
;    InquiryStdHex may optionally be used to extend the matching 
;    of standard Inquiry into the vendor specific data area.  
;    InquiryStdHex is used only after Inquiry data matches the 
;    InquiryStd parameter in the same [<Device_Section>].  This is 
;    useful for identifying DLT Firmware Personality kept in byte 41 
;    of Inquiry data.
;
;    When the InquiryStdHex parameter is specified, additional 
;    standard Inquiry data (up to 255 bytes) is retrieved from the 
;    device.  Then, the actual number data bytes read is converted 
;    into an ASCII hexadecimal string.  This hex string is then 
;    used as the target of InquiryStdHex pattern matching.
;
;    InquiryStdHex's value consists of an integer and a string 
;    separated by a ":".
;
;    <byte offset> is an integer value, in the range 0 through 254, 
;       giving the byte offset in the Inquiry data at which to begin 
;       <hex pattern> matching.  For example, 41 if we are 
;       interested in byte 41 of Inquiry data.
;
;    <hex pattern> is an ASCII Pattern string using characters 
;       from the set *?[-]{}0123456789ABCDEFabcdef.  A <hex pattern> 
;       is compared against the ASCII hexadecimal target string 
;       (derived from Inquiry data) as described above.  Pattern 
;       matching begins at <byte offset> in the target string.  
;       Often the final character in <hex pattern> is an '*' as the 
;       remainder of most Inquiry data is not of interest.  Pattern 
;       matching is case insensitive. See ASCII Patterns.
;
;    For example, if a device returns the following 56 bytes of 
;    Inquiry data:
;  0: 01 80 02 02 33 00 00 38 51 55 41 4e 54 55 4d 20  ....3..8QUANTUM 
; 16: 44 4c 54 37 30 30 30 20 20 20 20 20 20 20 20 20  DLT7000         
; 32: 32 35 36 30 71 60 00 07 32 0f 01 00 00 3f 00 00  2560q`..2....?..
; 48: 00 00 00 02 41 30 30 33                          ....A003
;
;    The the data is converted to the following 112 character 
;    ASCII hexadecimal string (in actuality, all on one line):
;       "01800202330000385155414e54554d20
;        444c5437303030202020202020202020
;        3235363071600007320f0100003f0000
;        0000000241303033"
;
;    Using the parameter
;       InquiryStdHex = "41:0f*"
;    specifies that Inquiry byte 41 must be a 0f hexadecimal.
;
;    Using
;       InquiryStdHex = "41:[0-4]???{05,3c,99}*"
;    specifies that byte 41 must be in the range 00 through 4f,  
;    and byte 43 must be either 05, 3c, or 99.
;
;    For Quantum OEM, use: InquiryStdHex = "41:04*"
;                OML, use: InquiryStdHex = "41:0f*"
;                OMX, use: InquiryStdHex = "41:12*"
;
; InquiryCFR_OEM  = "<1 to 3 digit oem number>"
;    This parameter is needed only for certain Seagate DAT drives.  
;    It is used uniquely identify certain models when InquiryStd 
;    is insufficient.  When this parameter is set, the Seagate 
;    Controller Firmware Revision Inquiry page (0xc0) is retrieved 
;    from the drive.  The 1 to 3 digit OEM field contained within the 
;    CFR page is compared with the parameter value.  Insignificant 
;    leading zeros are ignored by the comparison operation. Thus 
;    "047" compares with "47" and "000" with "0".
;
;    Examples:
;       InquiryCFR_OEM = "0"
;       InquiryCFR_OEM = "547"
;
; AutoFileName = "<firmware file>"
;    AutoFileName gives name of the firmware file with which to update 
;    an out-of-date device.  If a /p <path> is specified on the 
;    command line, then <path> is prefixed to <firmware file>.
;    <firmware file> is an ASCII Pattern (see ASCII Patterns). The 
;    pattern must represent a unique filename.  
;    If AutoFileName is empty or missing from a device section, and 
;    and a device is found to be "out of date" (when compared with 
;    AutoFileVersion), then Tapedrv reports the device state as 
;    "Needs alternate update method".  That is, the device needs to be 
;    updated by a method other than using 'Tapedrv autoupdate'.
;
;    Example:
;       AutoFileName = "seagate\ti4s?3??.fls"
;
; AutoFileVersion = "<4-character version>"
;    AutoFileVersion gives the version (or Product Revision Level) 
;    that would be returned by the device, in the 4-bytes, beginning 
;    at byte 32 of SCSI Inquiry data, after the firmware file, given 
;    by AutoFileName, is transferred and saved in the device's 
;    EEPROM.  When any of the 4 characters has the special character 
;    "?", it is substituted with the corresponding version character 
;    currently present in the device.  
;    If AutoFileVersion is missing or has an empty string, than the 
;    drive is displayed as "Ignored".  Any non-empty <4-character 
;    version> having less than 4-characters is right padded
;    with '?' to 4 characters.
;
;    To assure correct 'new version' display, "?" must be used when 
;    both these conditions occur: 1) the character will not change as 
;    a result of the update, and 2) the character is not "fixed" 
;    based on the make and model.  For example for a Quantum DLT4000, 
;    the first and second characters indicate the "servo code level".  
;    The servo code level is neither altered by firmware update, nor 
;    fixed for the make and model.  The third and fourth characters 
;    indicate the firmware code level" and *are* altered by firmware 
;    update.  Thus, for the DLT4000, if AutoFileName represents 
;    version 45 firmware, then set AutoFileVersion to the string, 
;    "??45".
;
;    Examples:
;       AutoFileVersion = "??10"
;       AutoFileVersion = "1.AB"
;
; CompareControl = "<control>"
;    CompareControl controls the comparison of the device version 
;    (or 4-character Product Revision Level) with that of the file 
;    version.  <control> is a 1 to 4 character string with each 
;    character being a unique selection from the list 0 1 2 or 3.
;    Characters other than 0 1 2 or 3 are ignored.
;    <control> specifies both the byte offsets of, and order of 
;    version character comparison.  Version comparisons are case
;    insensitive.
;    For example if <control> is "3210", all 4 characters of the 
;    version are compared in reverse order from right to left.  
;    If <control> is "23", than only the final 2 characters of 
;    the version are compared from left to right.
;    The string "??23" is identical to "23" because "??" is ignored.
;    If CompareControl is missing or has an empty <control> string, 
;    or contains no valid characters then the default value, 
;    "0123", is used.  
;
;
; UpdateAlgorithm = "<algorithm>"
;    <algorithm> selects the algorithm used to update the tape device 
;    firmware and must be one of the following:
;       Algorithm            Tape Device
;       -------------------  -----------------------------------
;       "standard"           Standard tape or changer
;       "exabyte_mammoth"    Exabyte Mammoth
;       "seagate_travan"     Seagate Travan TR-4, TR-5
;       "seagate_tr7"        Seagate Travan TR-7
;       "seagate_dds2_256k"  Seagate DDS-1, DDS-2 w/ 256K EEPROM
;       "seagate_dds2_512k"  Seagate DDS-1, DDS-2 w/ 512K EEPROM
;       "seagate_dds3"       Seagate DDS-3
;       "seagate_dds4"       Seagate DDS-4
;       "quantum_dlt"        Quantum/Benchmark DLT (w/ 4KB fw transfers)
;       "quantum_dlt_8k"     Quantum/Benchmark DLT (w/ 8KB fw transfers)
;       "ibm_ultrium"        IBM Ultrium
;       "hp_ultrium"         HP Ultrium
;       "hp_library"         HP Library/Autoloader
;
; UpdateFlags = "<flagcharacters>"
;    <flagcharacters> is a string of case significant flags that 
;    control firmware update behaviour for an associated device.
;       Flagcharacter  Meaning
;       -------------  -----------------------------------
;             c        Skip post firmware update inquiry verification
;                      if supported Changer is detected.
;
;    Example:
;       UpdateFlags     = "c"
;
; UpdateSeconds = <seconds>
;    <seconds> gives a maximum number of seconds required to update 
;    firmware.  If <seconds> is too small, a firmware update error 
;    may be erroneously reported.  The default value is 120.  Note 
;    that, on the display, the operator sees a message similar to 
;    "Update will take up to <n> minutes" where <n> is derived by 
;    rounding up UpdateSeconds to the nearest minute.  The minimum 
;    displayed value for <n> on the display is 2.
;
;    Example:
;       UpdateSeconds = 45
;
[Quantum_L200_DLT7000]
Description     = "ATL Products L200 Library (with Quantum DLT7000 drives)"
InquiryStd      = "Changer:QUANTUM Powerstor L200  ????"
AutoFileName    = "108_v38.img"
AutoFileVersion = "??26"
CompareControl  = "0123"
UpdateAlgorithm = "standard"
UpdateSeconds   = 300

[Quantum_L500_DLT7000]
Description     = "ATL Products L500 Library (with Quantum DLT7000 drives)"
InquiryStd      = "Changer:QUANTUM Powerstor L500  ????"
AutoFileName    = "314_v38.img"
AutoFileVersion = "??26"
CompareControl  = "0123"
UpdateAlgorithm = "standard"
UpdateSeconds   = 300

[Benchmark_DLT1]
Description     = "Benchmark DLT1"
InquiryStd      = "Tape:BNCHMARKDLT1            ????"
AutoFileName    = "vs_v50.img"
AutoFileVersion = "5032"
CompareControl  = "0123"
UpdateAlgorithm = "quantum_dlt_8k"
UpdateSeconds   = 200

[Exabyte_Mammoth-1]
Description     = "Exabyte Mammoth"
InquiryStd      = "Tape:EXABYTE EXB-8900????????????"
AutoFileName    = "8cm1v41k.i"
AutoFileVersion = "V41K"
UpdateAlgorithm = "exabyte_mammoth"
UpdateSeconds   = 121

[Exabyte_Mammoth-2]
Description     = "Exabyte Mammoth-2 (M2)"
InquiryStd      = "Tape:EXABYTE Mammoth2        ????"
AutoFileName    = "8ck3v07g.i"
AutoFileVersion = "v07g"
UpdateAlgorithm = "exabyte_mammoth"
UpdateSeconds   = 121

[HP_Ultrium-1_SCSI_Half_High]
Description     = "HP Ultrium-1 SCSI"
InquiryStd      = "Tape:HP      Ultrium 1-SCSI  ????"
AutoFileName    = "HHLTO_25.frm"
AutoFileVersion = "N25G"
UpdateAlgorithm = "hp_ultrium"
UpdateSeconds   = 200

[3600_Autoloader]
Description     = "3600-109"
InquiryStd      = "Changer:HP      C7145           ????"
AutoFileName	= "3600a_32.frm"
AutoFileVersion	= "232I"
UpdateAlgorithm = "hp_library"
UpdateSeconds   = 200

[3600_Library]
Description     = "3600-R20 and 3600-220"
InquiryStd      = "Changer:HP      C7200           ????"
AutoFileName	= "3600l_40.frm"
AutoFileVersion	= "?40I"
UpdateAlgorithm = "hp_library"
UpdateSeconds   = 420

[IBM_Ultrium-TD1_SCSI]
Description     = "IBM Ultrium-1"
InquiryStd      = "Tape:IBM     ULTRIUM-TD1     ????"
AutoFileName    = "22UD.fmr"
AutoFileVersion = "22UD"
UpdateAlgorithm = "ibm_ultrium"
UpdateFlags     = "c"
UpdateSeconds   = 121

[Seagate_Bali-2A_ATAPI]
Description     = "Seagate Bali-2A ATAPI TR-4: CTT8000x-A"
InquiryStd      = "Tape:CONNER  CTT8000-A       2???"
AutoFileName    = "TR4a0551.fls"
AutoFileVersion = "5.02"
CompareControl  = "0?23"
UpdateAlgorithm = "seagate_travan"
UpdateSeconds   = 45

[Seagate_Hornet-8_ATAPI]
Description     = "Seagate Hornet-8 ATAPI TR-4: STTx8000A"
InquiryStd      = "Tape:Seagate STT8000A        5???"
AutoFileName    = "tr4a0551.fls"
AutoFileVersion = "5.51"
CompareControl  = "0?23"
UpdateAlgorithm = "seagate_travan"
UpdateSeconds   = 45

[Seagate_Hornet-20_ATAPI]
Description     = "Seagate Hornet-20 ATAPI TR-5: STTx20000A"
InquiryStd      = "Tape:Seagate STT20000A       8???"
AutoFileName    = "tr5v8a51.fls"
AutoFileVersion = "8A51"
CompareControl  = "0?23"
UpdateAlgorithm = "seagate_travan"
UpdateSeconds   = 45

[Seagate_Falcon-2]
Description     = "Seagate Falcon-2 SCSI TR-4: CTT8000x-S"
InquiryStd      = "Tape:CONNER  CTT8000-S       1???"
AutoFileName    = "fibm2122.fls"
AutoFileVersion = "1.22"
CompareControl  = "0?23"
UpdateAlgorithm = "seagate_travan"
UpdateSeconds   = 45

[Seagate_Hornet-8_SCSI]
; Replace Seagate firmware with same IBM firmware 
; as used in [IBM_Hornet-8_SCSI] below.
Description     = "Seagate Hornet-8 SCSI TR-4: STTx8000N"
InquiryStd      = "Tape:Seagate STT8000N        3???"
AutoFileName    = "ti4s0352.fls"
AutoFileVersion = "3.52"
CompareControl  = "0?23"
UpdateAlgorithm = "seagate_travan"
UpdateSeconds   = 45

[IBM_Hornet-8_SCSI]
; IBM special firmware makes Hornet-8 appear similar to a Falcon-2
Description     = "IBM Hornet-8 SCSI TR-4"
InquiryStd      = "Tape:CONNER  CTT8000-S       3???"
AutoFileName    = "ti4s0352.fls"
AutoFileVersion = "3.52"
CompareControl  = "0?23"
UpdateAlgorithm = "seagate_travan"
UpdateSeconds   = 45

[Seagate_Hornet-NS20]
Description     = "Seagate Hornet-NS20 SCSI TR-5: STTx20000N-C"
InquiryStd      = "Tape:Seagate STT20000N       7???"
AutoFileName    = "NS207a64.fls"
AutoFileVersion = "7A64"
CompareControl  = "0?23"
UpdateAlgorithm = "seagate_travan"
UpdateSeconds   = 45

[Seagate_Peregrine-DDS2]
Description     = "Seagate Peregrine DDS-DC/DDS2: CDT4004/CTD8000"
InquiryStd      = "Tape:ARCHIVE Python 28388-XXX5???"
AutoFileName    = "v577-47.hex"
AutoFileVersion = "5.AQ"
UpdateAlgorithm = "seagate_dds2_256k"
UpdateSeconds   = 60

[Seagate_Scorpion-4-8_256K]
; Cobra2 256K EEPROM - first version digit 6=release, 2=test
; InquiryCFR_OEM differentiates 256K and 512K platforms
Description     = "Seagate Scorpion-4/8 DDS-2/3 256K: STDx4000N/STDx8000N"
InquiryStd      = "Tape:{SEAGATE DAT   ,ARCHIVE Python} 02779-XXX[62]???"
InquiryCFR_OEM  = "0"
AutoFileName    = "v6610-0.bin"
AutoFileVersion = "6610"
CompareControl  = "?123"
UpdateAlgorithm = "seagate_dds2_256k"
UpdateSeconds   = 60

[Seagate_Scorpion-4-8_512K]
; Cobra2 512K EEPROM - first version digit 6=release, 2=test
; InquiryCFR_OEM differentiates 256K and 512K platforms
Description     = "Seagate Scorpion-4/8 DDS-2/3 512K: STDx4000N/STDx8000N"
InquiryStd      = "Tape:{SEAGATE DAT   ,ARCHIVE Python} 04687-XXX[62]???"
InquiryCFR_OEM  = "500"
AutoFileName    = "v6610500.bin"
AutoFileVersion = "6610"
CompareControl  = "?123"
UpdateAlgorithm = "seagate_dds2_512k"
UpdateSeconds   = 60

[IBM_Scorpion-4-8_512K]
; Cobra2 512K EEPROM - first version digit 6=release, 2=test
; InquiryCFR_OEM differentiates 256K and 512K EEPROMS
Description     = "IBM DDS-2 512K"
InquiryStd      = "Tape:ARCHIVE IBM4326NP/RP  !D????"
InquiryCFR_OEM  = "547"
AutoFileName    = "v661A547.bin"
AutoFileVersion = "661A"
CompareControl  = "?123"
UpdateAlgorithm = "seagate_dds2_512k"
UpdateSeconds   = 60

[Seagate_Scorpion-24]
; Switch 7 On=SEAGATE..., Off=ARCHIVE...
; Cobra3 - first version digit 7=release, 3=test
Description     = "Seagate Scorpion-24 DDS-3: STDx24000N"
InquiryStd      = "Tape:{SEAGATE DAT   ,ARCHIVE Python} 04106-XXX[73]???"
AutoFileName    = "v7550-0.bin"
AutoFileVersion = "7550"
CompareControl  = "?123"
UpdateAlgorithm = "seagate_dds3"
UpdateSeconds   = 60

[Seagate_Scorpion-40]
; Switch 7 On=SEAGATE..., Off=ARCHIVE...
; Scorpion-40 and Scorpion-240 use same file
Description     = "Seagate Scorpion-40 DDS-4: STDx401LW"
InquiryStd      = "Tape:{SEAGATE DAT   ,ARCHIVE Python} 06240-XXX8???"
AutoFileName    = "V8240000.bin"
AutoFileVersion = "8240"
UpdateAlgorithm = "seagate_dds4"
UpdateSeconds   = 60

[Seagate_Scorpion-240]
; Switch 7 On=SEAGATE..., Off=ARCHIVE...
; Scorpion-40 and Scorpion-240 use same file
Description     = "Seagate Scorpion-240 DDS-4 Loader: STDLx2401LW"
InquiryStd      = "Tape:{SEAGATE DAT   ,ARCHIVE Python} 06241-XXX8???"
AutoFileName    = "V8240000.bin"
AutoFileVersion = "8240"
UpdateAlgorithm = "seagate_dds4"
; Loader firmware image is sent through an internal serial interface 
; that requires a large (e.g., 6 minute) UpdateSeconds
UpdateSeconds   = 360

[Quantum_DLT4000]
Description     = "Quantum DLT4000"
InquiryStd      = "Tape:Quantum DLT4000         ????"
AutoFileName    = "d4_v150.img"
AutoFileVersion = "D996"
CompareControl  = "0123"
UpdateAlgorithm = "quantum_dlt_8k"
UpdateSeconds   = 200

[Quantum_DLT7000]
Description     = "Quantum DLT7000"
InquiryStd      = "Tape:QUANTUM DLT7000         ????"
InquiryStdHex   = "41:04*"
AutoFileName    = "D7_v106.img"
AutoFileVersion = "276A"
CompareControl  = "0123"
UpdateAlgorithm = "quantum_dlt"
UpdateSeconds   = 200

[Quantum_DLT7000_OML]
Description     = "Quantum DLT7000 (Library Personality)"
InquiryStd      = "Tape:QUANTUM DLT7000         ????"
InquiryStdHex   = "41:0f*"
AutoFileName    = "D7L_v105.img"
AutoFileVersion = "2769"
CompareControl  = "0123"
UpdateAlgorithm = "quantum_dlt"
UpdateSeconds   = 200

[Quantum_DLT8000]
Description     = "Quantum DLT8000"
InquiryStd      = "Tape:QUANTUM DLT8000         ????"
AutoFileName    = "D8_v80.img"
AutoFileVersion = "0250"
CompareControl  = "0123"
UpdateAlgorithm = "quantum_dlt"
UpdateSeconds   = 200

[Quantum_SuperDLT_SCSI]
Description     = "Quantum SuperDLT SCSI"
InquiryStd      = "Tape:QUANTUM SuperDLT1       ????"
AutoFileName    = "SDLT_V42.img"
AutoFileVersion = "2a2a"
CompareControl  = "0123"
UpdateAlgorithm = "quantum_dlt_8k"
UpdateSeconds   = 200

[IBM_3580_Ultruim-1]
Description     = "IBM 3580 Ultrium-1"
InquiryStd      = "Tape:IBM     ULT3580-TD1     ????"
AutoFileName    = "22UD.fmr"
AutoFileVersion = "22UD"
UpdateAlgorithm = "ibm_ultrium"
UpdateSeconds   = 121

[ATL_L200_DLT7000]
Description     = "ATL Products L200 Library (with Quantum DLT7000 drives)"
InquiryStd      = "Changer:ATL     L200 ???????????????"
AutoFileName    = "108_v38.img"
AutoFileVersion = "??26"
CompareControl  = "0123"
UpdateAlgorithm = "standard"
UpdateSeconds   = 300

[ATL_L500_DLT7000]
Description     = "ATL Products L500 Library (with Quantum DLT7000 drives)"
InquiryStd      = "Changer:ATL     L500 ???????????????"
AutoFileName    = "314_v38.img"
AutoFileVersion = "??26"
CompareControl  = "0123"
UpdateAlgorithm = "standard"
UpdateSeconds   = 300

[Seagate_SP40]
Description     = "Seagate_SP40 Low Cost"
InquiryStd      = "Tape:SEAGATE DAT    9SP40-000????"
AutoFileName    = "v9070000.BIN"
AutoFileVersion = "9070"
UpdateAlgorithm = "seagate_dds4"
UpdateSeconds   = 60"

[Seagate_TR7]
Description     = "Seagate TR7 "
InquiryStd      = "Tape:Seagate STT3401A        ????"
AutoFileName    = "F309a-0.DFI"
AutoFileVersion = "309a"
CompareControl  = "0123"
UpdateAlgorithm = "seagate_tr7"
UpdateSeconds   = 60

[IBM_3447]
Description     = "IBM 3447"
InquiryStd      = "Changer:IBM     3447 ???????????????"
AutoFileName    = "Q2_171.bin"
AutoFileVersion = "??71"
CompareControl  = "0123"
UpdateAlgorithm = "standard"
UpdateSeconds   = 180

[Quantum_DLT7000_3447]
Description     = "Quantum DLT7000 (3447 Library Personality)"
InquiryStd      = "Tape:QUANTUM DLT7000         ????"
InquiryStdHex   = "41:35*"
AutoFileName    = "3447v107.img"
AutoFileVersion = "9999"
CompareControl  = "0123"
UpdateAlgorithm = "quantum_dlt"
UpdateSeconds   = 60

[Quantum_DLT7000_3447_2]
Description     = "Quantum DLT7000 (3447 Library Personality)"
InquiryStd      = "Tape:QUANTUM DLT7000         ????"
InquiryStdHex   = "41:35*"
AutoFileName    = "3447v107.img"
AutoFileVersion = "9999"
CompareControl  = "0123"
UpdateAlgorithm = "quantum_dlt"
UpdateSeconds   = 60


